For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedConnectorsAPI reference
Get startedConnectorsAPI reference
  • Agent Handler
      • GETList Tool Packs
      • POSTCreate Tool Pack
      • GETGet Tool Pack
      • DELDelete Tool Pack
      • PATCHUpdate Tool Pack
      • GETList connectors in a Tool Pack
      • PUTUpdate connectors in a Tool Pack
      • PATCHUpdate connectors in a Tool Pack (partial)
      • DELRemove a connector from a Tool Pack

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerTool Packs

List Tool Packs

GET
https://ah-api.merge.dev/api/v1/tool-packs/
GET
/api/v1/tool-packs/
$curl https://ah-api.merge.dev/api/v1/tool-packs/ \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "count": 123,
3 "results": [
4 {
5 "id": "string",
6 "name": "string",
7 "description": "string",
8 "connectors": [
9 {
10 "slug": "string",
11 "name": "string",
12 "source_url": "string",
13 "logo_url": "string",
14 "categories": [
15 null
16 ],
17 "auth_scope": "INDIVIDUAL",
18 "tools": [
19 {
20 "name": "string",
21 "description": "string",
22 "credit_type": "string"
23 }
24 ],
25 "connector_id": "string"
26 }
27 ]
28 }
29 ],
30 "next": "https://ah-api.merge.dev/api/v1/tool-packs?page=4",
31 "previous": "https://ah-api.merge.dev/api/v1/tool-packs?page=2"
32}
Retrieves a list of Tool Packs
Was this page helpful?
Previous

Create Link token

Next

Create Tool Pack

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Query parameters

pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.

Response

countinteger
resultslist of objects
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"